# Update journey entity

Update a journey entity.

Endpoint: PATCH /entities/journeys/{journeyId}
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `journeyId` (integer, required)
    Journey ID

## Response 200 fields (application/vnd.treasuredata.v1+json):

  - `data` (object, required)

  - `data.id` (string, required)

  - `data.type` (string, required)
    Enum: "journey"

  - `data.attributes` (object, required)

  - `data.attributes.audienceId` (string, required)

  - `data.attributes.name` (string, required)

  - `data.attributes.description` (string,null, required)

  - `data.attributes.state` (string, required)
    Enum: "draft", "simulation", "launched"

  - `data.attributes.goal` (object,null, required)

  - `data.attributes.goal.name` (string, required)

  - `data.attributes.goal.description` (string)

  - `data.attributes.goal.segmentId` (string, required)

  - `data.attributes.goal.target` (object)

  - `data.attributes.goal.target.journeyId` (string, required)

  - `data.attributes.goal.target.journeyStageId` (string, required)

  - `data.attributes.goal.target.journeyBundleId` (string,null)

  - `data.attributes.goal.target.stageOrderIndex` (integer,null)

  - `data.attributes.goal.target.jumpReferenceId` (string,null)
    The reference id of the jump target. This is used to identify the jump entity in the included field.

  - `data.attributes.createdAt` (string, required)

  - `data.attributes.updatedAt` (string, required)

  - `data.attributes.journeyStages` (array, required)

  - `data.attributes.journeyStages.id` (string)

  - `data.attributes.journeyStages.name` (string, required)

  - `data.attributes.journeyStages.description` (string)

  - `data.attributes.journeyStages.steps` (object,null)

  - `data.attributes.journeyStages.steps.uuid` (any) — one of:
    - JourneyActivationStep:
      - `type` (any, required)
        Enum: "Activation"
      - `name` (string, required)
      - `journeyActivationStepId` (string, required)
      - `next` (string)
    - JourneyDecisionPointStep:
      - `type` (any, required)
        Enum: "DecisionPoint"
      - `name` (string, required)
      - `branches` (array, required)
      - `branches.name` (string, required)
      - `branches.segmentId` (string, required)
      - `branches.excludedPath` (boolean)
      - `branches.next` (string)
    - JourneyMergeStep:
      - `type` (any, required)
        Enum: "Merge"
      - `name` (string)
      - `next` (string)
    - JourneyJumpStep:
      - `type` (any, required)
        Enum: "Jump"
      - `name` (string, required)
      - `target` (object, required)
    - JourneyEndStep:
      - `type` (any)
        Enum: "End"
      - `name` (string)
    - JourneyAbTestStep:
      - `type` (any, required)
        Enum: "AbTest"
      - `name` (string, required)
      - `customizedSplit` (boolean, required)
      - `uniqueId` (string)
      - `variants` (array, required)
      - `variants.id` (string, required)
      - `variants.name` (string, required)
      - `variants.percentage` (number, required)
      - `variants.next` (string)

  - `data.attributes.journeyStages.rootStep` (string)

  - `data.attributes.journeyStages.entryCriteria` (object,null)

  - `data.attributes.journeyStages.milestone` (object,null)

  - `data.attributes.journeyStages.exitCriterias` (array)

  - `data.attributes.paused` (boolean, required)

  - `data.attributes.pausedAt` (string,null, required)

  - `data.attributes.allowReentry` (boolean, required)

  - `data.attributes.reentryMode` (string)
    Enum: "no_reentry", "reentry_unless_goal_achieved", "reentry_always"

  - `data.attributes.journeyBundleId` (string,null)

  - `data.attributes.journeyBundleName` (string,null)

  - `data.attributes.versionNumber` (integer)

  - `data.attributes.journeyBundleDescription` (string,null)

  - `data.attributes.latestExecution` (object,null)
    The most recent execution of the journey workflow. If no executions have been created, this will be null.

  - `data.attributes.latestExecution.workflowId` (string, required)

  - `data.attributes.latestExecution.workflowSessionId` (string, required)

  - `data.attributes.latestExecution.createdAt` (string, required)

  - `data.attributes.latestExecution.finishedAt` (string,null, required)

  - `data.attributes.latestExecution.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `data.attributes.latestExecution.workflowAttemptId` (string, required)

  - `data.relationships` (object, required)

  - `data.relationships.parentFolder` (object)

  - `data.relationships.parentFolder.data` (object)

  - `data.relationships.parentFolder.data.id` (string, required)

  - `data.relationships.parentFolder.data.type` (string, required)
    Enum: "folder-segment"

  - `data.relationships.createdBy` (object)

  - `data.relationships.createdBy.data` (object,null)

  - `data.relationships.createdBy.data.id` (string, required)

  - `data.relationships.createdBy.data.type` (string, required)
    Enum: "user"

  - `data.relationships.updatedBy` (object)

  - `included` (array, required) — one of:
    - UserJsonApiResource:
      - `id` (string, required)
      - `type` (string, required)
        Enum: same as `data.relationships.createdBy.data.type` (1 values)
      - `attributes` (object, required)
      - `attributes.tdUserId` (string, required)
      - `attributes.name` (string, required)
    - JourneyJumpFromJourney:
      - `id` (string, required)
      - `type` (string, required)
        Enum: "journey", "journeyStage"
      - `attributes` (object)
      - `attributes.name` (string, required)
      - `attributes.jumpType` (string)
      - `attributes.jumpName` (string,null)
      - `attributes.sourceJourneyId` (string)
      - `attributes.folderName` (string)
      - `attributes.targetJourneyId` (string)
      - `attributes.targetStageId` (string)
      - `attributes.targetStageName` (string)
      - `attributes.deletedBy` (string,null)


